Bug 46462 - trouble opening files with backslashes in file name
Summary: trouble opening files with backslashes in file name
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: File-Dialog
  Show dependency treegraph
 
Reported: 2012-02-22 07:13 UTC by ajvok1
Modified: 2017-07-23 21:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ajvok1 2012-02-22 07:13:15 UTC
Problem description: 
Might seem like an odd thing to do, but I have some CSV files with backslashes in their names. Trying to open them with LibreOffice shows a problem (or 2)...

Steps to reproduce:
1. echo 1>'\\x.csv'
2. /usr/lib/libreoffice/program/soffice.bin --calc '\\x.csv'
3. calc appears to be starting but then vanishes. No process shown on 'ps'

'\\x.csv' can be opened in LibreOffice if it is selected in nautilus, right clicked and LibreOffice selected.
It also opens OK if LibreOffice started then file/open.

Another, similar but slightly different issue:
1. echo 1 > '\\a\a.csv'
2. /usr/lib/libreoffice/program/soffice.bin --calc '\\a\a.csv'
Fails as above, but..
3. Find the file in nautilus and right click..get message box ".../a/a.csv does not exist'
.. but can open it in "Text Editor" from nautilus with no problem.
.. and the file can be opened ok from the file menu once LibreOffice is running.


Current behavior: as described above.

Expected behavior: expect files to open.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:10.0.1) Gecko/20100101 Firefox/10.0.1
Comment 1 sasha.libreoffice 2012-05-23 05:13:41 UTC
Thanks for bugreport
reproducible in 3.5.3 on Fedora 64 bit
(reproducible only variant with console command, from UI it opens)
Comment 2 Peter Wu 2012-06-23 05:25:51 UTC
The bug still exists in version 3.5.4 (using Arch Linux). Sounds like misplaced Windows-compatibility code to me?

I also noticed that a "\/" sequence does not become "//" and "foo\." becomes "foo".
Comment 3 tommy27 2014-12-13 09:35:27 UTC
is this still present in LO 4.3.4.1?
Comment 4 Peter Wu 2014-12-13 09:54:45 UTC
libreoffice-still 4.2.7-2 (Arch Linux) is still affected. libreoffice-fresh 4.3.4-1 is also still affected.

(backslashes get converted to forward slashes)
Comment 5 QA Administrators 2015-12-20 16:19:00 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:50:23 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103